Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 150748 - Inconsistent delegation of getNodes(true)
Inconsistent delegation of getNodes(true)
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Nodes
6.x
All All
: P2 (vote)
: 6.x
Assigned To: t_h
issues@platform
65fixes1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-20 16:56 UTC by Jaroslav Tulach
Modified: 2009-02-19 22:53 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Test to show the inconsistencies (1.22 KB, patch)
2008-10-20 16:57 UTC, Jaroslav Tulach
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2008-10-20 16:56:46 UTC
new FilterNode(someNode).getNodes(true) does not correctly delegate to the someNode.getNodes(true) in some cases.
Comment 1 Jaroslav Tulach 2008-10-20 16:57:16 UTC
Created attachment 72281 [details]
Test to show the inconsistencies
Comment 2 t_h 2008-10-22 12:21:38 UTC
4f225bb4d911
Comment 3 Quality Engineering 2008-10-23 04:50:17 UTC
Integrated into 'main-golden', will be available in build *200810230201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/4f225bb4d911
User: Tomas Holy <t_h@netbeans.org>
Log: #150748: Inconsistent delegation of getNodes(true)
Comment 4 Jaroslav Tulach 2008-10-23 08:10:16 UTC
OK. Isn't this issue a candidate for patch1 of 6.5?
Comment 5 rbalada 2008-11-13 22:39:11 UTC
I've transplanted the changeset http://hg.netbeans.org/main/rev/4f225bb4d911 into release65_fixes repository as
http://hg.netbeans.org/release65_fixes/rev/188cefadbc8e
Comment 6 Lukas Hasik 2008-12-02 15:40:42 UTC
verified in patch1, tests pass


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo